Name:          monolog
Version:       2.0
Release:       %mkrel 1
Summary:       API for monitoring and logging
Group:         Development/Java
License:       LGPL
Url:           http://monolog.ow2.org/
# cvs -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/monolog login
# cvs -z3 -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/monolog export -r MONOLOG_1_9_2 monolog
# tar czf monolog-2.0-src-cvs.tar.gz monolog
Source0:       monolog-2.0-src-cvs.tar.gz
Patch0:        monolog-2.0-build_xml.patch
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: mx4j
BuildRequires: objectweb-anttask
BuildRequires: p6spy
BuildRequires: velocity
Requires:      jpackage-utils
BuildArch:     noarch

%description
The goal of Monolog is to define and maintain the
ObjectWeb API for the logging.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils
Requires:      %{name} = %{version}-%{release}

%description javadoc
ObjectWeb API for the logging.

This package contains javadoc for %{name}.

%prep
%setup -q -n monolog
%patch0 -p1

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

pushd externals
  ln -sf $(build-classpath ant) ant.jar
  ln -sf $(build-classpath velocity) velocity-1.4.jar
  ln -sf $(build-classpath log4j) log4j.jar
  ln -sf $(build-classpath junit) junit3_7.jar
  ln -sf $(build-classpath xalan-j2) xalan.jar
  ln -sf $(build-classpath mx4j/mx4j) jmxri.jar
  ln -sf $(build-classpath objectweb-anttask) ow_util_ant_tasks.jar
  ln -sf $(build-classpath p6spy) p6spy.jar
popd

mv shared.old/src/io src/org/objectweb/util
mv shared.old/archive/ow_util_io.xml archive

%build

export CLASSPATH=$(build-classpath p6spy junit log4j mx4j/mx4j objectweb-anttask velocity xalan-j2)
ant jar jdoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/monolog
for jar in output/dist/lib/*.jar; do
  install -m 644 ${jar} %{buildroot}%{_javadir}/monolog/`basename ${jar} .jar`-%{version}.jar
done

(
  cd %{buildroot}%{_javadir}/monolog
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/monolog-%{version}
cp -pr output/dist/jdoc/* %{buildroot}%{_javadocdir}/monolog-%{version}
ln -sf monolog-%{version} %{buildroot}%{_javadocdir}/monolog

%files
%{_javadir}/monolog/ow_monolog-%{version}.jar
%{_javadir}/monolog/ow_monolog.jar
%{_javadir}/monolog/ow_util_all-%{version}.jar
%{_javadir}/monolog/ow_util_all.jar
%{_javadir}/monolog/ow_util_io-%{version}.jar
%{_javadir}/monolog/ow_util_io.jar
%{_javadir}/monolog/ow_util_log_api-%{version}.jar
%{_javadir}/monolog/ow_util_log_api.jar
%{_javadir}/monolog/ow_util_log_file-%{version}.jar
%{_javadir}/monolog/ow_util_log_file.jar
%{_javadir}/monolog/ow_util_log_helper-%{version}.jar
%{_javadir}/monolog/ow_util_log_helper.jar
%{_javadir}/monolog/ow_util_log_remote-%{version}.jar
%{_javadir}/monolog/ow_util_log_remote.jar
%{_javadir}/monolog/ow_util_log_test-%{version}.jar
%{_javadir}/monolog/ow_util_log_test.jar
%{_javadir}/monolog/ow_util_log_wrp_common-%{version}.jar
%{_javadir}/monolog/ow_util_log_wrp_common.jar
%{_javadir}/monolog/ow_util_log_wrp_javalog-%{version}.jar
%{_javadir}/monolog/ow_util_log_wrp_javalog.jar
%{_javadir}/monolog/ow_util_log_wrp_log4j-%{version}.jar
%{_javadir}/monolog/ow_util_log_wrp_log4j.jar
%{_javadir}/monolog/ow_util_log_wrp_log4j_only-%{version}.jar
%{_javadir}/monolog/ow_util_log_wrp_log4j_only.jar
%{_javadir}/monolog/ow_util_log_wrp_p6spy-%{version}.jar
%{_javadir}/monolog/ow_util_log_wrp_p6spy.jar
%{_javadir}/monolog/ow_util_log_wrp_pw-%{version}.jar
%{_javadir}/monolog/ow_util_log_wrp_pw.jar
%{_javadir}/monolog/ow_util_log_wrp_pw_only-%{version}.jar
%{_javadir}/monolog/ow_util_log_wrp_pw_only.jar
%{_javadir}/monolog/ow_util_log_wrp_velo-%{version}.jar
%{_javadir}/monolog/ow_util_log_wrp_velo.jar
%{_javadir}/monolog/ow_util_ant_tasks-%{version}.jar
%{_javadir}/monolog/ow_util_ant_tasks.jar

%files javadoc
%{_javadocdir}/monolog-%{version}
%{_javadocdir}/monolog



%changelog

* Sat Sep 03 2011 dmorgan <dmorgan> 2.0-1.mga2
+ Revision: 138202
- Adapt to mageia guidelines

  + gil <gil>
    - imported package monolog


* Sat Jun 25 2011 gil <gil> 2.0-0.%%mkrel
- initial rpm